libqxp::QXPHeader Class Reference documentation

Public Member Functions | Protected Attributes | List of all members
libqxp::QXPHeader Class Referenceabstract

`#include <QXPHeader.h>`

Inheritance diagram for libqxp::QXPHeader:

## Public Member Functions
| QXPHeader (const boost::optional< QXPDocument::Type > &fileType=boost::none)
virtual | ~QXPHeader ()=default
virtual bool | load (const std::shared_ptr< librevenge::RVNGInputStream > &input)=0
virtual QXPDocument::Type | getType () const =0
virtual std::unique_ptr< QXPParser > | createParser (const std::shared_ptr< librevenge::RVNGInputStream > &input, librevenge::RVNGDrawingInterface *painter)=0
bool | isLittleEndian () const
bool | isBigEndian () const
unsigned | version () const
const char * | encoding () const

## Protected Attributes
unsigned | m_proc
unsigned | m_version
unsigned | m_language
boost::optional< QXPDocument::Type > | m_fileType

## Constructor & Destructor Documentation

## ◆ QXPHeader()

libqxp::QXPHeader::QXPHeader | ( | const boost::optional< QXPDocument::Type > & | fileType = `boost::none` | ) |
| explicit

## ◆ ~QXPHeader()

virtual libqxp::QXPHeader::~QXPHeader | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ createParser()

virtual std::unique_ptr< QXPParser > libqxp::QXPHeader::createParser | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |
| pure virtual

Implemented in libqxp::QXP1Header, libqxp::QXP33Header, and libqxp::QXP4Header.

## ◆ encoding()

const char * libqxp::QXPHeader::encoding | ( |  | ) | const

## ◆ getType()

virtual QXPDocument::Type libqxp::QXPHeader::getType | ( |  | ) | const
| pure virtual

Implemented in libqxp::QXP1Header, libqxp::QXP33Header, and libqxp::QXP4Header.

## ◆ isBigEndian()

bool libqxp::QXPHeader::isBigEndian | ( |  | ) | const

Referenced by libqxp::QXP33Header::load(), libqxp::QXP3HeaderBase::load(), and libqxp::QXP4Header::load().

## ◆ isLittleEndian()

bool libqxp::QXPHeader::isLittleEndian | ( |  | ) | const

Referenced by encoding(), isBigEndian(), libqxp::QXP33Header::load(), and libqxp::QXP4Header::load().

## ◆ load()

virtual bool libqxp::QXPHeader::load | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input | ) |
| pure virtual

Implemented in libqxp::QXP1Header, libqxp::QXP33Header, libqxp::QXP3HeaderBase, and libqxp::QXP4Header.

## ◆ version()

unsigned libqxp::QXPHeader::version | ( |  | ) | const

## Member Data Documentation

## ◆ m_fileType

boost::optional<QXPDocument::Type> libqxp::QXPHeader::m_fileType
| protected

Referenced by libqxp::QXP33Header::getType(), and libqxp::QXP4Header::getType().

## ◆ m_language

unsigned libqxp::QXPHeader::m_language
| protected

Referenced by encoding(), and libqxp::QXP3HeaderBase::load().

## ◆ m_proc

unsigned libqxp::QXPHeader::m_proc
| protected

Referenced by isLittleEndian(), libqxp::QXP1Header::load(), and libqxp::QXP3HeaderBase::load().

## ◆ m_version

unsigned libqxp::QXPHeader::m_version
| protected

Referenced by libqxp::QXP1Header::load(), libqxp::QXP3HeaderBase::load(), and version().

The documentation for this class was generated from the following files:

- QXPHeader.h
- QXPHeader.cpp